Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 16 Apr 2014, 21:08
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Lucid Puppy 5.2.8 - Updated ISO Version 005 - APR 05 2012
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 145 of 188 [2820 Posts]   Goto page: Previous 1, 2, 3, ..., 143, 144, 145, 146, 147, ..., 186, 187, 188 Next
Author Message
otropogo


Joined: 24 Oct 2009
Posts: 699
Location: Southern Rocky Mt. Trench

PostPosted: Sat 13 Oct 2012, 12:33    Post subject:  

bigpup wrote:
Quote:
After a recent glitch that changed the wallpaper and seamonkey settings in my main 2fs file for lupu528, all traces of the vlc media player disappeared. Today I upgraded the PC, my laptop, to lupupluslibre005-2, but no vlc.

Possible save file corruption.
With a 2fs save file there is a bigger chance for file corruption.

If booting from live CD of Lucid 528.
use boot option puppy pfix=fsck
This will do a file system check of the save file.



Thanks, will do.

Quote:
For Vlc:
The above may be the problem.

May have to remove and reinstall.
In Puppy Package Manager(PPM), if program is in installed package list, uninstall and then do search for VLC.
PPM should have VLC listed in the Lucid Puppy repository under Multimedia.

Have done, but am surprised that the only version that appears is two years old, whereas googling "vlc linux deb download" (not exact quote) shows:

Quote:
Package Download Selection -- vlc-nox_2.0.3-2_i386.deb
packages.debian.org › sid › vlc-nox › i386
Download Page for vlc-nox_2.0.3-2_i386.deb on Intel x86 machines ... debian.nctu.edu.tw/debian · debian.linux.org.tw/debian · linux.cdpa.nsysu.edu.tw/debian ...


I'm wondering what the chances are of this package installing successfully in lupu528, or of someone making a pet of it anytime soon?

_________________
otropogo@gmail.com facebook.com/otropogo
Back to top
View user's profile Send private message Visit poster's website 
majorfoo

Joined: 07 Mar 2011
Posts: 445
Location: Wish I knew

PostPosted: Sat 13 Oct 2012, 16:46    Post subject:  

otropogo wrote:


I'm wondering what the chances are of this package installing successfully in lupu528, or of someone making a pet of it anytime soon?


Check out the following:
http://www.murga-linux.com/puppy/viewtopic.php?t=76271

On first post Billto has provided link to get vlc-2.0.0-sfs
If you want a pet instead of sfs, you can convert sfs to pet using sfs
grabber in quick pet. Setup > Setup Puppy > Quickpet

Near bottom of page, Playdayz advises that this sfs should work with lucid series - xorghigh is required

Hope this helps
Back to top
View user's profile Send private message 
darkcity


Joined: 23 May 2010
Posts: 2408
Location: near here

PostPosted: Sat 13 Oct 2012, 17:10    Post subject:  

Larry if you are still reading, many thanks for Lucid ;- ) the first Puppy and Linux I could use as my main OS!
_________________
helping Wiki for help | IF SendSpace link = "dead" THEN PM me ("up file to http://meownplanet.net/")
Back to top
View user's profile Send private message Visit poster's website 
bigpup


Joined: 11 Oct 2009
Posts: 4609
Location: Charleston S.C. USA

PostPosted: Sat 13 Oct 2012, 17:34    Post subject:  

I got this version of VLC working in Lucid 528.
It is VLC Puppyfied.

VLC-GTK 2.5.6 - a VLC player frontend
http://murga-linux.com/puppy/viewtopic.php?t=54753

Do have to make sure you install all the files needed. They are listed on first post of topic.

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
rerwin


Joined: 24 Aug 2005
Posts: 1463
Location: Maine, USA

PostPosted: Sat 13 Oct 2012, 22:00    Post subject: Attempt to allow boot-up from drive plugged into USB3 jack  

tony wrote:

I guess that as lupu_528.sfs is not seen it would be pointless to put a USB3 driver in it.
You are right. I was not paying attention, but trying to avoid taking on initrd.gz. Looking at it another way, this is my opportunity to master the ways of editing it.

I found the tools to expand and rebuild initrd.gz and copied the module (xhci.ko) into the directory with the other USB drivers. Then I found an example of adding a driver and discovered that one needs to simulate the effect of depmod to add the module to the modules.* tables. I will explain what I changed so that others can consider what else might be necessary.

I put the module into /lib/modules/2.6.33.2/kernel/drivers/usb/host/ after gzipping it. The modules in "host" are
    ehci-hcd.ko.gz
    ohci-hcd.ko.gz
    uhci-hcd.ko.gz
    xhci.ko.gz
I updated the modules.* files with the boldfaced lines -

modules.alias:
    alias ssb:v4243id0817rev* ohci_hcd
    alias ssb:v4243id0808rev* ohci_hcd
    alias pci:v*d*sv*sd*bc0Csc03i10* ohci_hcd
    alias pci:v*d*sv*sd*bc0Csc03i00* uhci_hcd
    alias pci:v*d*sv*sd*bc0Csc03i20* ehci_hcd
    alias pci:v*d*sv*sd*bc0Csc03i30* xhci

modules.dep:
    /lib/modules/2.6.33.2/kernel/drivers/usb/host/ohci-hcd.ko.gz: /lib/modules/2.6.33.2/kernel/drivers/usb/core/usbcore.ko.gz /lib/modules/2.6.33.2/kernel/drivers/ssb/ssb.ko.gz
    /lib/modules/2.6.33.2/kernel/drivers/usb/host/uhci-hcd.ko.gz: /lib/modules/2.6.33.2/kernel/drivers/usb/core/usbcore.ko.gz
    /lib/modules/2.6.33.2/kernel/drivers/usb/host/ehci-hcd.ko.gz: /lib/modules/2.6.33.2/kernel/drivers/usb/core/usbcore.ko.gz
    /lib/modules/2.6.33.2/kernel/drivers/usb/host/xhci.ko.gz: initrd/kernel/drivers/usb/core/usbcore.ko.gz
    /lib/modules/2.6.33.2/kernel/drivers/usb/core/usbcore.ko.gz:
    /lib/modules/2.6.33.2/kernel/drivers/usb/storage/usb-storage.ko.gz: /lib/modules/2.6.33.2/kernel/drivers/usb/core/usbcore.ko.gz

modules.pcimap:
    # pci module vendor device subvendor subdevice class class_mask driver_data
    ohci-hcd 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0x000c0310 0xffffffff 0x0
    uhci-hcd 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0x000c0300 0xffffffff 0x0
    ehci-hcd 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0x000c0320 0xffffffff 0x0
    xhci 0xffffffff 0xffffffff 0xffffffff 0xffffffff 0x000c0330 0xffffffff 0x0
Then I updated rc.sysinit, which waits for early loading of the USB drivers, so it will also wait for xhci.
Code:
--- /initrd/pup_ro2/etc/rc.d/rc.sysinit   2012-01-03 21:00:48.000000000 -0500
+++ /initrd/pup_rw/etc/rc.d/rc.sysinit   2012-10-13 18:54:52.000000000 -0400
@@ -50,6 +50,7 @@
 #110113 make sure /dev/mixer removed, see test in /etc/init.d/10alsa.
 #110304 remove nodes in /dev/snd -- reports that these may be wrong after a reboot.
 #111231 Make /dev/snd/* removal recursive, to include /dev/snd/by-path, new for alsa v1.0.24.
+#121013 rerwin: Add wait for USB3 driver.
 
 #unset TZ #100319 busybox hwclock gives priority to this (rather than /etc/localtime) and 'init' has set it wrong.
 #...comment-out for now. note, TZ now set in rc.country.
@@ -344,7 +345,7 @@
 echo -n "Waiting for modules to complete loading..." >/dev/console
 WAITCNT=0
 PCIPCMCIA="`elspci -l | grep -o '060700'`"
-PCIUSB="`elspci -l | grep -o -E '0C0300|0C0310|0C0320'`"
+PCIUSB="`elspci -l | grep -o -E '0C0300|0C0310|0C0320|0C0330'`" #121013
 if [ "$PCIPCMCIA" != "" ];then #this may be slow to respond.
  echo -n " pcmcia"  >/dev/console
  while [ $WAITCNT -lt 10 ];do
@@ -359,7 +360,7 @@
  echo -n " usb"  >/dev/console
  PCIUSBNUM=`echo "$PCIUSB" | sort -u | wc -l`
  while [ $WAITCNT -lt 10 ];do
-  [ `lsmod | grep -o -E '^uhci_hcd|^ohci_hcd|^ehci_hcd' | wc -l` -ge $PCIUSBNUM ] && break
+  [ `lsmod | grep -o -E '^uhci_hcd|^ohci_hcd|^ehci_hcd|^xhci' | wc -l` -ge $PCIUSBNUM ] && break #121013
   WAITCNT=`expr $WAITCNT + 1`
   sleep 1
   echo -n " $WAITCNT" >/dev/console

My test PC does not have USB3, which might affect what I see. The only thing I am aware of is that the xhci module does not end up with the other 3 USB drivers in /lib/modules/2.6.33.2/initrd/kernel/drivers/usb/host/ after boot-up. I removed the existing copy to see if that allowed the module to be in /initrd, which did not change anything. So this needs to be tested by someone with USB3 hardware. Please keep it as an isolated test, to avoid risk. But I am running with the modified initrd.gz with no ill effects.

To run the experiment, install the pet package and copy the initrd-xhci.gz file to wherever the original initrd.gz resides. Rename the existing initrd.gz (e.g., initrd-original.gz) and then initrd-xhci.gz to initrd.gz. Plugging the MyPassport drive into the USB3 jack and rebooting should tell us whether we are getting anywhere.

Here is where I found the info:
http://murga-linux.com/puppy/viewtopic.php?p=652126&search_id=383672#652126 (Edit initrd.gz with right-click-action)
Thank you, RSH.

http://www.murga-linux.com/puppy/viewtopic.php?p=384034&sid=4cc403defd6f7f5530a9b6441c946b20#384034 (Howto use the Framebuffer with Puppy 430/431)
Richard
initrd-xhci.gz
Description  initrd.gz with xhci included.
gz

 Download 
Filename  initrd-xhci.gz 
Filesize  1.83 MB 
Downloaded  399 Time(s) 
lupuplus-528-rc.sysinit_xhci-1.pet
Description  Waits for the USB3 controller to start.
pet

 Download 
Filename  lupuplus-528-rc.sysinit_xhci-1.pet 
Filesize  9.48 KB 
Downloaded  406 Time(s) 
Back to top
View user's profile Send private message 
otropogo


Joined: 24 Oct 2009
Posts: 699
Location: Southern Rocky Mt. Trench

PostPosted: Sun 14 Oct 2012, 01:39    Post subject:  

majorfoo wrote:
otropogo wrote:


I'm wondering what the chances are of this package installing successfully in lupu528, or of someone making a pet of it anytime soon?


Check out the following:
http://www.murga-linux.com/puppy/viewtopic.php?t=76271

On first post Billto has provided link to get vlc-2.0.0-sfs
If you want a pet instead of sfs, you can convert sfs to pet using sfs
grabber in quick pet. Setup > Setup Puppy > Quickpet

Near bottom of page, Playdayz advises that this sfs should work with lucid series - xorghigh is required

Hope this helps


Thanks majorfoo. Am downloading it now (64KB/s). Hope to try it in the next day or two if the download succeeds.

_________________
otropogo@gmail.com facebook.com/otropogo
Back to top
View user's profile Send private message Visit poster's website 
otropogo


Joined: 24 Oct 2009
Posts: 699
Location: Southern Rocky Mt. Trench

PostPosted: Sun 14 Oct 2012, 01:46    Post subject:  

bigpup wrote:
I got this version of VLC working in Lucid 528.
It is VLC Puppyfied.

VLC-GTK 2.5.6 - a VLC player frontend
http://murga-linux.com/puppy/viewtopic.php?t=54753

Do have to make sure you install all the files needed. They are listed on first post of topic.


Thanks Bigpup. Have downloaded files and instructions. Will have a go at installing in the next few days.

I managed to uninstall Seamonkey by accident while playing with petget, and had to hustle to download v. 2.10, somehow managing to use up 40+MB of my save file in the process. When I reboot though, it still shows v2.12.1. (I kept Seamonkey up and running while reinstalling it).

I've tried for about 20 minutes to find a way of upgrading manually to 2.13, but no success. I know it can be done, as I managed on the laptop, but can't remember where or how. I do remember I somehow got to a page that offered to install the 2.13.1 security update, and it consisted of downloading and installing only a half dozen or so Megabytes. Setting the preference to check and install daily doesn't seem to do anything.

My chief worry is that I'll lose all my passwords, as it's no longer possible to view all of them at once and save them with a screenshot.

I guess I'll find out when I shut down SM.

No luck. Seamonkey "upgraded" from 2.12.1 to 2.10, losing all my bookmarks and passwords in the process. The bookmarks I can easily replace, the passwords will require a lot of painful work. I tried to upgrade to 2.13.1, but that failed too.

_________________
otropogo@gmail.com facebook.com/otropogo
Back to top
View user's profile Send private message Visit poster's website 
tony

Joined: 14 Jan 2006
Posts: 307
Location: Montreal.ca

PostPosted: Sun 14 Oct 2012, 10:16    Post subject: Booting from external HDD
Subject description: Mods to initrd.gz
 

Hi rerwin,

I'm posting this from my USB3 external hard disc drive, I followed your instructions and everything worked perfectly.

When I made my original request for help I had no idea of the amount of hard work and expertise I was asking for.

Thank you very much for doing it.

Regards Tony.

Last edited by tony on Wed 17 Oct 2012, 03:23; edited 1 time in total
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 4609
Location: Charleston S.C. USA

PostPosted: Sun 14 Oct 2012, 11:44    Post subject:  

rerwin,

Yes, thank you for your support of Lucid Puppy.
With continued support by people like you.
Lucid 528 is alive and still kicking. Very Happy Cool Exclamation Exclamation Exclamation
.

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 4609
Location: Charleston S.C. USA

PostPosted: Sun 14 Oct 2012, 11:53    Post subject:  

otropogo wrote:

No luck. Seamonkey "upgraded" from 2.12.1 to 2.10, losing all my bookmarks and passwords in the process. The bookmarks I can easily replace, the passwords will require a lot of painful work. I tried to upgrade to 2.13.1, but that failed too.

Info may not be lost.

Try this:
In Seamonkey menu bar.
Select Tools->Switch Profile
See if maybe your old profile is listed.
If it is choose to use it.

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
otropogo


Joined: 24 Oct 2009
Posts: 699
Location: Southern Rocky Mt. Trench

PostPosted: Sun 14 Oct 2012, 12:09    Post subject:  

bigpup wrote:
otropogo wrote:

No luck. Seamonkey "upgraded" from 2.12.1 to 2.10, losing all my bookmarks and passwords in the process. The bookmarks I can easily replace, the passwords will require a lot of painful work. I tried to upgrade to 2.13.1, but that failed too.

Info may not be lost.

Try this:
In Seamonkey menu bar.
Select Tools->Switch Profile
See if maybe your old profile is listed.
If it is choose to use it.


Thanks. Too late this time. Will try to remember your suggestion next time I have this problem. Before finding your post, I decided to simplest solution was to use a recent backup, which recovered my passwords, and most of my bookmarks. Turns out I can't find my last bookmark save, so this is the best fix I can manage.

_________________
otropogo@gmail.com facebook.com/otropogo
Back to top
View user's profile Send private message Visit poster's website 
rerwin


Joined: 24 Aug 2005
Posts: 1463
Location: Maine, USA

PostPosted: Sun 14 Oct 2012, 12:30    Post subject: Re: Booting from external HDD
Subject description: Mods to initrd.gz
 

tony wrote:
I'm posting this from my USB3 external hard disc drive, I followed your instructions and everything worked perfectly.
Incredible! I was afraid I would need a further fix, but apparently not. Thank you for motivating me to dive into initrd.gz.
bigpup wrote:
Yes, thank you for your support of Lucid Puppy.
With continued support by people like you.
Lucid 528 is alive and still kicking.
That is my intent. I continue to be amazed at what playdayz has created with lupu and especially lupuplus. I plan to be here to do what I can to keep lupu relevant. So, please report any issues, in case they are ones I can address.

I am considering creating a separate thread in Puppy Projects to contain only upgrade packages for lucid pup. That would be so that new users can find all they need in one place, without searching through this thread. I am open to suggestions about that. I made a similar thread for upgrading 4.3.1 (http://murga-linux.com/puppy/viewtopic.php?search_id=485591978&t=63652), although I have not updated it in over a year, but am not ruling that out, either.
Richard
Back to top
View user's profile Send private message 
sheldonisaac

Joined: 21 Jun 2009
Posts: 384
Location: Philadelphia, PA

PostPosted: Sun 14 Oct 2012, 13:12    Post subject: Finding packages  

Quote:

I am considering creating a separate thread in Puppy Projects to contain only upgrade packages for lucid pup. That would be so that new users can find all they need in one place, without searching through this thread.
That would be wonderful!!
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 4609
Location: Charleston S.C. USA

PostPosted: Sun 14 Oct 2012, 15:30    Post subject:  

rerwin,

That would be a very, very, very, good idea.

You do know about this one, for wireless drivers, by tempestuous?
http://www.murga-linux.com/puppy/viewtopic.php?t=59000

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
rerwin


Joined: 24 Aug 2005
Posts: 1463
Location: Maine, USA

PostPosted: Sun 14 Oct 2012, 17:23    Post subject:  

bigpup,
Thanks for your interest in a one-stop-shop thread.

Yes, almost everything in tempestuous' thread posted before 2012 is part of the lupupluses. The 2012 postings relate to a Sony laptop and some USB ADSL drivers. The "easy_slow_down_manager" would probably require a GUI to make the controls usable by most users. Those are candidates for the new "simplified upgrade center".
Richard
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 145 of 188 [2820 Posts]   Goto page: Previous 1, 2, 3, ..., 143, 144, 145, 146, 147, ..., 186, 187, 188 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1400s ][ Queries: 13 (0.0434s) ][ GZIP on ]